package com.ruoyi.ibs.grid.domain.dto;

import javax.validation.constraints.NotNull;

public class CustDistribute {

    /** 网格标签 */
    @NotNull(message = "网格标签不能为空")
    private String gridPattern;

    /** 网格级别 */
    private String gridLevel;

    /** 网格id */
    @NotNull(message = "网格id不能为空")
    private String gridId;

    /** 客户名称 */
    @NotNull(message = "客户名称不能为空")
    private String custName;

    /** 客户Id */
    @NotNull(message = "客户Id不能为空")
    private String custId;

    /** 客户标签 */
    private String custPattern;

    /** 归属客户经理 */
    @NotNull(message = "归属客户经理不能为空")
    private String belongUserName;

    /** 归属客户经理Id */
    @NotNull(message = "归属客户经理Id不能为空")
    private String belongUserId;

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public String getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(String gridLevel) {
        this.gridLevel = gridLevel;
    }

    public String getGridId() {
        return gridId;
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustPattern() {
        return custPattern;
    }

    public void setCustPattern(String custPattern) {
        this.custPattern = custPattern;
    }

    public String getBelongUserName() {
        return belongUserName;
    }

    public void setBelongUserName(String belongUserName) {
        this.belongUserName = belongUserName;
    }

    public String getBelongUserId() {
        return belongUserId;
    }

    public void setBelongUserId(String belongUserId) {
        this.belongUserId = belongUserId;
    }

    @Override
    public String toString() {
        return "CustDistribute{" +
                "gridPattern='" + gridPattern + '\'' +
                "gridLevel='" + gridLevel + '\'' +
                ", gridId='" + gridId + '\'' +
                ", custName='" + custName + '\'' +
                ", custId='" + custId + '\'' +
                ", custPattern='" + custPattern + '\'' +
                ", belongUserName='" + belongUserName + '\'' +
                ", belongUserId='" + belongUserId + '\'' +
                '}';
    }
}
